.responsive-layout-container {
  width         : 100%;
  height        : 300px;
  display       : flex;
  flex-direction: row;
}

.child-container {
  width : 70%;
  height: 300px;
  order:0;
}

 .content-a {
  background-color: rgb(207, 44, 44);
  height          : 150px;
  width           : 100%;
}

 .content-b {
  background-color: rgb(253, 190, 55);
  height          : 150px;
  width           : 100%;
}

.content-c {
  background-color: rgb(255, 252, 82);
  width           : 30%;
  height          : 300px;
  order:1;
}

.header {
  background-color: rgb(161, 161, 161);
  width           : 100%;
  height          : 60px;
}

@media(max-width:650px) {
  .child-container {
    width: 50%;
  }

  .content-c {
    width: 50%;
  }

  .header {
    height: 30px;
  }
}

@media(max-width:400px) {
  .responsive-layout-container {
    width         : 100%;
    height        : 300px;
    display       : flex;
    flex-direction: column;
  }

  .child-container {
    width : 100%;
    height: 200px;
  }
.content-a {
    height          : 100px;
    width           : 100%;
  }
 .content-b {
    height          : 100px;
    width           : 100%;
  }

  .content-c {
    width           : 100%;
    height          : 100px;
  }

  .header {
    height          : 20px;
  }
}